package com.yizhi.album.application.controller;

import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.yizhi.album.application.domain.AlTheme;
import com.yizhi.album.application.domain.AlThemeActivity;
import com.yizhi.album.application.domain.Album;
import com.yizhi.album.application.mapper.AlbumMapper;
import com.yizhi.album.application.service.IAlThemeActivityService;
import com.yizhi.album.application.service.IAlThemeService;
import com.yizhi.album.application.service.IAlbumService;
import com.yizhi.album.application.vo.AlThemeVo;
import com.yizhi.album.application.vo.AlbumVo;
import com.yizhi.comment.application.feign.ManageCommentClient;
import com.yizhi.comment.application.feign.SubscribeClient;
import com.yizhi.course.application.feign.CoursePcClient;
import com.yizhi.util.application.beanutil.BeanCopyListUtil;
import com.yizhi.util.application.constant.TpActivityType;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 专辑报表用
 * </p>
 *
 * @author hc123
 * @since 2019-12-30
 */
@RestController
@RequestMapping("/statisticsAlbum")
public class StatisticsAlbumController {

	@Autowired
	private IAlbumService albumService;
	
	@Autowired
	private AlbumMapper albumMapper;
	
	@Autowired
	private IAlThemeActivityService alThemeActivityService;

	@Autowired
	private IAlThemeService alThemeService;
	
    @Autowired
    private CoursePcClient coursePcClient;
    
    @Autowired
    private ManageCommentClient commentClient;
    
    @Autowired
    private SubscribeClient subscribeClient;
    
	@GetMapping("/getAllAlbums")
	public List<AlbumVo> getAllAlbums(@RequestParam(name = "companyId",required = false)Long companyId, @RequestParam(name = "siteId",required = false)Long siteId){
		List<AlbumVo> allAlbums = new ArrayList<AlbumVo>();
		List<Long> list = albumMapper.getAllAlbums(companyId, siteId);
		List<Long> courseIds = new ArrayList<Long>();
		if (CollectionUtils.isNotEmpty(list)) {
			for(Long albumId:list) {
				int num = 0;
				AlbumVo albumVo = new AlbumVo();
				Album album = albumService.selectById(albumId);
				albumVo.setId(album.getId());
				albumVo.setName(album.getName());
				albumVo.setShelves(album.getShelves());
				albumVo.setClassifyId(album.getClassifyId());
				albumVo.setImage(album.getImage());
				albumVo.setDescription(album.getDescription());
				albumVo.setTags(album.getTags());
				albumVo.setScope(album.getScope());
				albumVo.setCommentEnable(album.getCommentEnable());
				albumVo.setDocumentEnable(album.getDocumentEnable());
				albumVo.setOvered(album.getOvered());
				albumVo.setDisplay(album.getDisplay());
				albumVo.setSiteId(album.getSiteId());
				albumVo.setCompanyId(album.getCompanyId());
				albumVo.setCreateTime(album.getCreateTime());
				List<AlThemeVo> list1 = new ArrayList<AlThemeVo>();
				AlTheme theme = new AlTheme();
				theme.setAlbumId(albumId);
				theme.setDeleted(0);
				EntityWrapper<AlTheme> wrapper = new EntityWrapper<AlTheme>(theme);
				wrapper.orderBy("sort", true);
				List<AlTheme> themes = alThemeService.selectList(wrapper);
				for(AlTheme alTheme:themes) {
					AlThemeVo themeVo = new AlThemeVo();
					themeVo.setAlbumId(albumId);
					themeVo.setId(alTheme.getId());
					themeVo.setName(alTheme.getName());
					List<AlThemeActivity> activities = new ArrayList<AlThemeActivity>();
					AlThemeActivity activity = new AlThemeActivity();
					activity.setThemeId(alTheme.getId());
					activity.setDeleted(0);
					EntityWrapper<AlThemeActivity> entityWrapper = new EntityWrapper<AlThemeActivity>(activity);
					entityWrapper.orderBy("sort", true);
					activities = alThemeActivityService.selectList(entityWrapper);
					for(AlThemeActivity alThemeActivity:activities) {
						alThemeActivity.setThemeName(alTheme.getName());
						if (alThemeActivity.getUnlock().equals(0)) {
							courseIds.add(alThemeActivity.getRelationId());
						}else {
							num++;
						}
					}
					List<com.yizhi.album.application.vo.domain.AlThemeActivity> alThemeActivities =
							BeanCopyListUtil.copyListProperties(activities, com.yizhi.album.application.vo.domain.AlThemeActivity::new);
					themeVo.setActivities(alThemeActivities);
					list1.add(themeVo);
				}
        		Map<Long, Long> durations = coursePcClient.getMaterialTimeByCourseIds(courseIds);
        		Long duration = (long) 0;
                if (null != durations && durations.size() > 0) {
                    for (Long h : durations.keySet()) {
                        duration = duration + (durations.get(h) != null ? durations.get(h) : 0l);
                    }
                }
                albumVo.setCommentCount(commentClient.getCommentNum(albumId, TpActivityType.TYPE_ALBUM));
                albumVo.setSubscribeCount(subscribeClient.getSubscribeNum(albumId, TpActivityType.TYPE_ALBUM));
                albumVo.setDuration(duration);
				albumVo.setList(list1);
				albumVo.setLockNum(num);
				allAlbums.add(albumVo);
				courseIds.clear();
			}
		}

		return allAlbums;
	}
}
