package com.yizhi.album.application.controller.remote;

import com.yizhi.album.application.mapper.AlStudentActivityRecordMapper;
import com.yizhi.album.application.vo.domain.AlStudentActivityRecord;
import com.yizhi.util.application.beanutil.BeanCopyListUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 学员完成专辑活动记录 前端控制器
 * </p>
 *
 * @author hc123
 * @since 2019-12-30
 */
@RestController(value = "alStudentActivityRecordController1")
@RequestMapping("/remote/alStudentActivityRecord")
public class AlStudentActivityRecordController {

	@Autowired
	private AlStudentActivityRecordMapper aStudentActivityRecordMapper;
	
    @GetMapping("/statistics/getRecordeAllWorkId")
    public List<Long> getRecordeAllWorkId(){
    	return aStudentActivityRecordMapper.getRecordeAllWorkId();
    }
    
    @GetMapping("/statistics/getAllRecordeByTimeLimit")
    public List<AlStudentActivityRecord> getAllRecordeByTimeLimit(@RequestParam(value="startDate",required=true)String startDate, @RequestParam(value="endDate",required=true)String endDate, @RequestParam(value="relationId",required=true)Long relationId){
    	List<AlStudentActivityRecord> alStudentActivityRecord =
                BeanCopyListUtil.copyListProperties(aStudentActivityRecordMapper.getAllRecordeByTimeLimit(startDate, endDate, relationId), AlStudentActivityRecord::new);
        return alStudentActivityRecord;
    }
}

