package com.yizhi.album.application.controller.remote;


import com.yizhi.album.application.controller.AlThemeActivityControllerV2;
import com.yizhi.album.application.domain.AlTheme;
import com.yizhi.album.application.service.IAlThemeService;
import com.yizhi.album.application.service.IAlbumService;
import com.yizhi.application.orm.id.IdGenerator;
import com.yizhi.core.application.context.ContextHolder;
import com.yizhi.core.application.context.RequestContext;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 专辑 - 主题 前端控制器
 * </p>
 *
 * @author hc123
 * @since 2019-12-30
 */
@RestController(value = "alThemeController1")
@RequestMapping("/remote/alTheme")
public class AlThemeController {

	private Logger logger = LoggerFactory.getLogger(AlThemeActivityControllerV2.class);
	
	@Autowired
	private IAlbumService albumService;
	
	@Autowired
	private IAlThemeService alThemeService;
	
	@Autowired
	IdGenerator idGenerator;
	
	@GetMapping("/delete")
	public Boolean delete(@RequestParam(name = "id")Long id) {
		RequestContext context = ContextHolder.get();
		Long accountId = context.getAccountId();
		String name = context.getAccountName();
		Date date = new Date();
		boolean b = false;
		AlTheme theme = alThemeService.selectById(id);
		if (theme!=null) {
			theme.setDeleted(1);
			theme.setUpdateById(accountId);
			theme.setUpdateByName(name);
			theme.setUpdateTime(date);
			 b = alThemeService.updateById(theme);
		}
		return b;
	}
	
	@PostMapping("/sortActivity")
	public int sortTheme(@RequestBody List<AlTheme> list) {
		logger.info("管理端传入要排序的ID列表==========================:" + list);
		return alThemeService.sortTheme(list);
	}
	
	@GetMapping("/updateName")
	public Boolean updateName(@RequestParam(name = "id") Long id,@RequestParam(name = "albumId") Long albumId,@RequestParam(name = "name") String name) {
		RequestContext context = ContextHolder.get();
		Long siteId = context.getSiteId();
		Long accountId = context.getAccountId();
		String accountName = context.getAccountName();
		Date date = new Date();
		Boolean vaidName = alThemeService.vaidName(id,albumId, name, siteId);
		if (!vaidName) {
			return Boolean.FALSE;
		}
		AlTheme theme = alThemeService.selectById(id);
		theme.setName(name);
		theme.setUpdateById(accountId);
		theme.setUpdateByName(accountName);
		theme.setUpdateTime(date);
		alThemeService.updateById(theme);
		return Boolean.TRUE;
	}
}

