package com.yizhi.album.application.domain;


import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 学员完成专辑活动记录
 * </p>
 *
 * @author hc123
 * @since 2019-12-30
 */
@Data
@ApiModel(value = "AlStudentActivityRecord", description = "学员完成专辑活动记录")
@TableName("al_student_activity_record")
public class AlStudentActivityRecord {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
	private Long id;

    @ApiModelProperty(value = "学员id")
	@TableField("account_id")
	private Long accountId;

    @ApiModelProperty(value = "冗余专辑id")
	@TableField("album_id")
	private Long albumId;
    
    @ApiModelProperty(value = "课程id")
	@TableField("relation_id")
	private Long relationId;

    @ApiModelProperty(value = "若是课程，需要记录学习时长")
	private Long seconds;

    @ApiModelProperty(value = "是否完成（1是，0否），默认未完成。")
	private Integer finished;

    @ApiModelProperty(value = "完成时间")
	@TableField("finish_date")
	private Date finishDate;

    @ApiModelProperty(value = "所属站点id")
	@TableField("site_id")
	private Long siteId;



}
