package com.yizhi.album.application.domain;


import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 专辑 - 主题
 * </p>
 *
 * @author hc123
 * @since 2019-12-30
 */
@Data
@ApiModel(value = "AlTheme", description = "专辑 - 主题")
@TableName("al_theme")
public class AlTheme {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
	private Long id;

    @ApiModelProperty(value = "所属专辑id")
	@TableField("album_id")
	private Long albumId;

    @ApiModelProperty(value = "主题名称")
	private String name;

    @ApiModelProperty(value = "排序")
	private Integer sort;

    @ApiModelProperty(value = "是否删除（1是，0否），默认否")
	private Integer deleted;

    @ApiModelProperty(value = "创建者id")
	@TableField(value = "create_by_id", fill = FieldFill.INSERT)
	private Long createById;

    @ApiModelProperty(value = "创建者名称")
	@TableField(value = "create_by_name", fill = FieldFill.INSERT)
	private String createByName;

    @ApiModelProperty(value = "创建时间")
	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;

    @ApiModelProperty(value = "更新者id")
	@TableField(value = "update_by_id", fill = FieldFill.INSERT)
	private Long updateById;

    @ApiModelProperty(value = "修改者名称")
	@TableField(value = "update_by_name", fill = FieldFill.INSERT)
	private String updateByName;

    @ApiModelProperty(value = "修改时间")
	@TableField(value = "update_time", fill = FieldFill.INSERT)
	private Date updateTime;

    @ApiModelProperty(value = "站点id")
	@TableField("site_id")
	private Long siteId;

    @ApiModelProperty(value = "组织id")
	@TableField("org_id")
	private Long orgId;

    @ApiModelProperty(value = "企业id")
	@TableField("company_id")
	private Long companyId;



}
