package com.yizhi.album.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 专辑表
 * </p>
 *
 * @author hc123
 * @since 2019-12-30
 */
@Data
@ApiModel(value = "Album", description = "专辑表")
@TableName("album")
public class Album {

    private static final long serialVersionUID = 1L;


	private Long id;

    @ApiModelProperty(value = "专辑名称")
	private String name;

    @ApiModelProperty(value = "专辑封面图")
	private String image;

    @ApiModelProperty(value = "专辑介绍")
	private String description;

    @ApiModelProperty(value = "自定义关键字")
	private String tags;

    @ApiModelProperty(value = "0 未上架 1 已上架 2草稿")
	private Integer shelves;

	@TableField(value = "create_by_id", fill = FieldFill.INSERT)
	private Long createById;

	@TableField(value = "create_by_name", fill = FieldFill.INSERT)
	private String createByName;

	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;

	@TableField(value = "update_by_id", fill = FieldFill.INSERT)
	private Long updateById;

	@TableField(value = "update_by_name", fill = FieldFill.INSERT)
	private String updateByName;

	@TableField(value = "update_time", fill = FieldFill.INSERT)
	private Date updateTime;

	@TableField("company_id")
	private Long companyId;

	@TableField("org_id")
	private Long orgId;

	@TableField("site_id")
	private Long siteId;

    @ApiModelProperty(value = "分类id")
	@TableField("classify_id")
	private Long classifyId;

    @ApiModelProperty(value = "可见范围 1 平台用户 2 指定范围 默认全平台可见")
	private Integer scope;

    @ApiModelProperty(value = "专辑评论 0显示 1不显示 默认显示")
	@TableField("comment_enable")
	private Integer commentEnable;

    @ApiModelProperty(value = "专辑资料 0显示 1不显示 默认显示")
	@TableField("document_enable")
	private Integer documentEnable;

    @ApiModelProperty(value = "0:默认未删除；1表示删除")
	@TableField("del_flg")
	private Integer delFlg;

    @ApiModelProperty(value = "完成状态 0连载中 1已完结")
	private Integer overed;

    @ApiModelProperty(value = "显示模式 0全部显示 1只显示已解锁课程 默认全部显示")
	private Integer display;

	@ApiModelProperty(value = "专辑是否在日历中显示 默认为 0：不开启 1：开启")
	@TableField("enable_task")
	private Integer enableTask;

	@ApiModelProperty(value = "日历任务开始时间：enable-task不为0时，有值")
	@TableField(value = "task_start_date")
	private Date taskStartDate;

	@ApiModelProperty(value = "日历任务结束时间：enable-task不为0时，有值")
	@TableField(value = "task_end_date")
	private Date taskEndDate;


}
